@ECHO OFF
:TOP
CLS
@ECHO.
@ECHO A   Regular Controller Configuration
@ECHO B   Keyboard Shadow Boxing
@ECHO C   Joystick Shadow Boxing
@ECHO Q   QUIT
@ECHO.
CHOICE /C:ABCQ
IF ERRORLEVEL 4 GOTO QUIT
IF ERRORLEVEL 3 GOTO JOYSTICK
IF ERRORLEVEL 2 GOTO KEYBOARD
IF ERRORLEVEL 1 GOTO REGULAR
:REGULAR
CLS
COPY SETUP.REG SETUP.CFG
@ECHO.
@ECHO "Regular Controller Configuration"
@ECHO.
@ECHO Use joystick 1 for player 1 and joystick 2 for player 2.
@ECHO.
PAUSE
GOTO TOP
:KEYBOARD
CLS
COPY SETUP.KEY SETUP.CFG
@ECHO.
@ECHO "Keyboard Shadow Boxing"
@ECHO.
@ECHO Use the right keyboard keys to control both 'bots.
@ECHO Start OMF with the TWO_PLAYER command line parameter.
@ECHO.
PAUSE
GOTO TOP
:JOYSTICK
CLS
COPY SETUP.JOY SETUP.CFG
@ECHO.
@ECHO "Joystick Shadow Boxing"
@ECHO.
@ECHO Use joystick 1 to control both 'bots.
@ECHO Start OMF with the TWO_PLAYER command line parameter.
@ECHO.
PAUSE
GOTO TOP
:QUIT
